---
title: RTCRtpStreamStats.nackCount
slug: Web/API/RTCRtpStreamStats/nackCount
tags:
  - API
  - Acknowledgement
  - Generic NACK
  - NACK
  - Negative Acknowledgement
  - Property
  - RTCRtpStreamStats
  - RTP
  - Reference
  - Statistics
  - Stats
  - WebRTC
  - WebRTC API
  - nackCount
  - rtc
---
<div>{{APIRef("WebRTC")}}</div>

<p><span class="seoSummary">The <strong><code>nackCount</code></strong> property of the {{domxref("RTCRtpStreamStats")}} dictionary is a numeric value indicating the number of times the receiver sent a <strong>NACK packet</strong> to the sender.</span> A NACK (Negative ACKnowledgement, also called "Generic NACK") packet tells the sender that one or more of the {{Glossary("RTP")}} packets it sent were lost in transport.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">var <em>nackCount</em> = <em>RTCRtpStreamStats</em>.nackCount;</pre>

<h3 id="Value">Value</h3>

<p>An integer value indicating how many times the receiver sent a NACK packet to the sender after detecting that one or more packets were lost during transport.</p>

<div class="note">
<p><strong>Note:</strong> This value is only available on the receiver.</p>
</div>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('WebRTC Statistics Identifiers', '#dom-rtcinboundrtpstreamstats-nackcount', 'RTCInboundRtpStreamStats: nackCount')}}</td>
   <td>{{Spec2('WebRTC Statistics Identifiers')}}</td>
   <td>Initial definition.</td>
  </tr>
  <tr>
   <td>{{SpecName('WebRTC Statistics Identifiers', '#dom-rtcoutboundrtpstreamstats-nackcount', 'RTCOutboundRtpStreamStats: nackCount')}}</td>
   <td>{{Spec2('WebRTC Statistics Identifiers')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.RTCRtpStreamStats.nackCount")}}</p>
